.belt.width-full {
    width: 100%;
}

.section-promo-device-module {
    padding-top: 0;
    margin-top: 16px;
}


.section-promo-device-module .belt div.promo-device-module__container:nth-of-type(n + 2) {
    margin-top: 16px;
}

.promo-device-module__content {
    background: #fff;
    padding: 16px;
    border-radius: 6px;
    box-shadow: 0 2px 8px 0 rgba(0, 0, 0, 0.16);
}

.promo-device-module--row-mobile .promo-device-module__content {
    display: flex;
    gap: 12px;
}

.promo-device-module__content-item {
    border-radius: 6px;
}

.promo-device-module--row-mobile img {
    height: 100%;
}

.promo-device-module__img img {
    width: 100%;
    max-width: 100%;
    /* border-radius: 6px; */
    display: block;
}


.promo-device-module__info .featured-promo {
    margin-left: 0;
    margin-top: 20px;
}

.promo-device-module__info .featured-promo span {
    font-size: 16px;
    padding: 4px 12px;
    border-radius: 20px;
}


/*Botón c2c*/

.button-tx-promo .drp-phone::before {
    content: "Llama gratis ";
    color: var(--color--white);
}

.button-tx-promo.vf-bgColor-green .drp-phone {
    color: var(--color--white);
}


/*Botón c2c*/


/*añadido test*/

.promo-device-module__info .copy-promo--title {
    font-size: 22px;
}


/*añadido test*/

.promo-device-module__info .copy-promo--big {
    font-size: 18px;
    line-height: 1.2;
}

.copy-promo--small {
    font-size: 16px;
    display: flex;
    flex-direction: column;
}

.main-hi .copy-promo--small {
    font-size: 14px;
    margin-bottom: 12px;
}

.copy-promo__container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    gap: 8px;
    width: 100%;
}

.button-tx-promo {
    width: 100%;
    text-align: center;
    padding: 10px 20px;
    border-radius: 24px;
}

.button-tx-promo--cta {
    background-color: #E60000;
}

.button-tx-promo--ctc {
    display: flex;
    justify-content: center;
    background-color: #fff;
    border: solid 1px #999999;
    gap: 4px;
}

.button-tx-promo__text-item {
    font-size: 18px;
}

.button-tx-promo____number {
    font-size: 18px;
    color: #333;
}

a.button-tx-promo__link:link,
a.button-tx-promo__link:hover,
a.button-tx-promo__link:visited {
    color: #fff;
}

a.button-tx-promo__link {
    color: #fff;
    font-size: 18px;
    line-height: 1.3;
}

a.button-ctc-promo__number {
    color: #666;
    font-size: 18px;
}


/*añadido para el test*/

.section-promo-device-module .vfms-device__more-info {
    display: flex;
    align-self: center;
    gap: 8px;
    justify-content: left;
}

.section-promo-device-module a.vfms-device-module__more-info-link:link,
.section-promo-device-module a.vfms-device-module__more-info-link:hover,
.section-promo-device-module a.vfms-device-module__more-info-link:visited {
    color: #E60000;
    padding: 0;
    font-size: 16px;
    line-height: 1.5;
}

.section-promo-device-module .featured__container {
    margin-top: 10px;
}


/*añadido para el test*/


/* Lista de iconos en info */

.promo-device-module__content {
    display: flex;
    flex-direction: column;
    grid-gap: 20px;
}

.icon-list {
    padding: 0;
    font-size: 14px;
    display: flex;
    flex-direction: column;
    gap: 6px;
}

.icon-list-item {
    display: flex;
    align-items: center;
}

.icon-list-item .svg-logo {
    margin-right: 12px;
}

#modulo-test .icon-list-item .svg-logo {
    width: 22px;
    text-align: center;
}

#modulo-test .icon-list-item svg {
    width: 100%;
}


/* Lista de iconos en info */


/*Precio*/

.price-box.price-details {
    display: flex;
    flex-direction: column;
    grid-gap: 4px;
}

.price-box.price-details .price--big {
    font-size: 24px;
}


/*Precio*/


/* Doble cta */

.promo-device-module__info {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.box-cta {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.box-cta .item-cta-tx {
    text-align: center;
}

.item-cta-tx:not(.vfms-device__more-info) a {
    font-size: 18px;
    color: white;
    background-color: #E60000;
    border-radius: 24px;
}

.item-button-cobertura button {
    background: #FFFFFF;
    border: solid black 1px;
    border-radius: 6px;
    color: black;
}


/* Doble cta */


/* 5G */

#modulo-test .promo-device-module__info .copy-promo--pretitle {
    font-size: 18px;
    font-family: 'VodafoneLight', Arial, sans-serif;
}


/* selectores picker */

.list-features {
    display: flex;
    flex-direction: column;
    gap: 12px;
    margin-top: 16px;
}

.list-select--item {
    display: flex;
    align-items: center;
    gap: 8px;
    flex-wrap: wrap;
}

.list-select--item p {
    font-size: 14px;
}

.list-select {
    font-size: 14px;
    display: flex;
    gap: 8px;
    width: 100%;
    justify-content: space-between;
}

.list-select.column-mobile {
    flex-direction: column;
}


/* .section-promo-device-module .list-select:not(.list-select--item .list-select) {
    margin-top: 20px;
} */

.list-select-item {
    flex: 1;
    text-align: center;
    padding: 8px 4px;
    border: 1px solid #7E7E7E;
    border-radius: 3px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}

.list-select-item.selected {
    border: 2px solid #00697C;
    font-family: 'VodafoneBold', Arial, sans-serif;
}


/* selectores picker */



/* Módulo con contenedor de botones */

.promo-device-module__container:has(.buttons-container)
{
    width: 95%;
    margin: 20px auto ;
}



.promo-device-module__container:has(.buttons-container) .promo-device-module__content {
    display: grid;
    grid-template-columns: 2fr 1fr;
    /* background: linear-gradient(45deg, #820000 0%, #E60000 100%); */
    background-size: cover;
}

.promo-device-module__container:has(.buttons-container).two-columns .item-column1 {
    grid-column: 1;
    grid-row: 1;
}

.promo-device-module__container:has(.buttons-container).two-columns .item-column2 {
    grid-column: 2;
    grid-row: 1;
}

.promo-device-module__container:has(.buttons-container).two-columns .item-row1 {
    grid-column: 1/3;
    grid-row: 2;
}

.promo-device-module__container:has(.buttons-container) button {
    background: none;
    font-size: 18px;
    border-radius: 24px;

}

.promo-device-module__container:has(.buttons-container) button.button-tx-promo-link-popUp {
    display: block;
    width: 100%;
    padding: 10px 20px;
}

.promo-device-module__container:has(.buttons-container) .item-cta-tx a {
    color: #fff;
    display: block;
    width: 100%;
    padding: 12px 32px;
    
}

.promo-device-module__container:has(.buttons-container) .button-tx-promo.item-cta-tx {
    padding: 0;
    display: flex;
    align-items: center;
}

.promo-device-module__container .buttons-container {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.button-tx-promo:has(.button-tx-promo-link-popUp) {
    border: solid 2px white;
    padding: 0;
}

.promo-device-module__container:has(.buttons-container) .promo-device-module__content-item.item-price .price-big {
    display: flex;
}

.promo-device-module__container:has(.buttons-container) .price__amount {
    font-size: 64px;
}

.promo-device-module__container:has(.buttons-container) sup.price__decimals__currency {
    font-size: 18px;
    align-self: flex-start;
    margin-left: 5px;
    margin-top: 8px;
}

.promo-device-module__container:has(.buttons-container) sub.price__time {
    font-size: 18px;
    align-self: flex-end;
    margin-bottom: 16px;
    margin-left: -24px;
}

.promo-device-module__container:has(.buttons-container) .item-price .tax-price

{
    font-size: 16px;
}

.promo-device-module__container:has(.buttons-container) .promo-device-module__info .copy-promo--title {
    font-size: 20px;
}

.promo-device-module__container:has(.buttons-container) .promo-device-module__info .copy-promo--big {
    font-size: 14px;
}

.promo-device-module__container:has(.buttons-container) .promo-device-module__info .copy-promo--big.desktop--hidden {
    display: block;
}

.promo-device-module__container:has(.buttons-container) .promo-device-module__info .copy-promo--big.mobile--hidden {
    display: none;
}

.promo-device-module__container:has(.buttons-container) .promo-device-module__img img
{
    border-radius: 24px;
}

/* .promo-device-module__container:has(.buttons-container) .promo-device-module__img img {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
} */



.promo-device-module__container:has(.buttons-container) .promo-device-module__content
{
    padding: 16px;
}



/* Módulo con contenedor de botones */

@media screen and (min-width: 768px) {


    .module-test.section-promo-device-module {
        margin-top: 0;
    }

    .promo-device-module__container {
        padding: 0;
    }

    .promo-device-module__content {
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 24px;
    }

    .promo-device-module__img {
        overflow: hidden;
        display: flex;
        align-items: flex-end;
        width: 320px;
    }

    .promo-device-module__info {
        position: relative;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        flex: 1;
    }

    .copy-promo__container {
        flex: 1;
        align-items: flex-start;
        gap: 12px;
        margin-top: 0;
        margin-bottom: 0;
    }

    .promo-device-module__info .copy-promo--big {
        margin: 0;
        font-size: 20px;
    }

    .button-tx-promo {
        display: inline-flex;
        width: auto;
    }



    a.button-tx-promo__link {
        font-size: 20px;
    }

    .promo-device-module__img img {
        border-radius: 6px;
        object-fit: cover;
    }

    .button-tx-promo--ctc {
        margin-top: 0;
    }

    .copy-promo--small {
        font-size: 18px;
    }

    /*añadido test*/
    .promo-device-module__container.section--narrow {
        width: 90%;
        margin: 0 auto;
    }

    .section-promo-device-module .featured__container {
        margin-bottom: 10px;
    }

    .section-promo-device-module .vfms-device__more-info {
        align-self: flex-start;
    }

    .promo-device-module__content.promo-device-module--rigth-img {
        flex-direction: row-reverse;
    }

    .promo-device-module__content.promo-device-module--rigth-img .promo-device-module__img {
        margin-right: 0;
    }

    .promo-device-module__info .copy-promo--title {
        font-size: 24px;
    }

    .section-promo-device-module a.vfms-device-module__more-info-link:link {
        font-size: 18px;
        line-height: 1.3;
    }

    /*añadido test*/
    #modulo-test .icon-list-item .svg-logo {
        width: 28px;
        text-align: center;
    }

    /* selectores pickers  */
    .list-select.column-mobile {
        flex-direction: initial;
    }

    /* selectores pickers  */


    /* Módulo con contenedor de botones */
    .section-promo-device-module

    {
        border-radius: 24px;
    }

    .promo-device-module__container:has(.buttons-container) .promo-device-module__content>div:not(.promo-device-module__img) {
        padding: 16px;
    }

    .promo-device-module__container:has(.buttons-container) .promo-device-module__img {
        width: 100%;
        display: flex;
        justify-content: center;
    }

    .promo-device-module__container:has(.buttons-container).two-columns .item-column1 {
        grid-column: 1;
        grid-row: 1;
    }

    .promo-device-module__container:has(.buttons-container).two-columns .item-column2 {
        grid-column: 2/3;
        grid-row: 1/3;
    }

    .promo-device-module__container:has(.buttons-container).two-columns .item-row1 {
        grid-column: 1/2;
        grid-row: 2;
    }
     .promo-device-module__container:has(.buttons-container).two-columns .buttons-container>div 
     {
        flex:1;   
    }

    .promo-device-module__container .buttons-container {

        flex-direction: row;
        gap: 8px;
    }

    .promo-device-module__container:has(.buttons-container) .promo-device-module__content {
        gap: 0;
    }

    .promo-device-module__container:has(.buttons-container) .button-tx-promo {
        display: initial;
        width: 180px;
    }

    /* .promo-device-module__container:has(.buttons-container) .promo-device-module__img img {
        max-height: 200px;
    } */

    /* Módulo con contenedor de botones */
}

@media screen and (min-width: 1024px) {


    .promo-device-module__content {
        padding: 16px 20px 20px;
        box-shadow: none;
    }

    .promo-device-module__img {
        width: 50%;
    }

    #modulo-test {
        width: 914px;
        margin: 0 auto;
    }

    /*5g*/
    .icon-list {
        font-size: 18px;
    }

    .price-box.price-details .price--big {
        font-size: 28px;
    }

    .box-cta {
        flex-direction: row;
    }

    .section-promo-device-module .box-cta .vfes-button {
        padding: 10px 21px;
    }

    .section-promo-device-module .vfes-button.cobertura-show-button {
        padding: 10px 21px;
    }

    #modulo-test .promo-device-module__info .copy-promo--pretitle {
        font-size: 20px;
    }

    #modulo-test .promo-device-module__info .copy-promo--title {
        width: 76%;
    }

    /* selectores picker */
    .list-select {
        font-size: 18px;
    }

    .list-select--item p {
        font-size: 18px;
    }

    /* selectores picker */

    /* Módulo con contenedor de botones */
    .promo-device-module__container:has(.buttons-container) {
        max-width: initial;
    }

    .promo-device-module__container:has(.buttons-container) .promo-device-module__content {
        gap: 0;
        grid-template-columns: 1.4fr 1fr;
    }

    .promo-device-module__container:has(.buttons-container) .promo-device-module__content-item.promo-device-module__img {
        border-radius: 0;
    }

    .promo-device-module__container:has(.buttons-container) .promo-device-module__info .copy-promo--title {
        font-size: 38px;
    }

    .promo-device-module__container:has(.buttons-container) .promo-device-module__info .copy-promo--big {
        font-size: 20px;
    }

    .promo-device-module__container:has(.buttons-container) .promo-device-module__content>div:not(.promo-device-module__img) {
        padding: 0 16px
    }

    .promo-device-module__container:has(.buttons-container) .item-cta-tx>a:hover {
        background-color: #E60000;
        border-radius: 24px;
    }

    /* .promo-device-module__container:has(.buttons-container) .item-cta-tx:hover {
        background-color: white;
    } */

    /* .promo-device-module__container:has(.buttons-container) .promo-device-module__img img {
        max-height: 250px;
    } */



    /* Módulo con contenedor de botones */
}

@media screen and (min-width: 1280px) {


    .section-promo-device-module.module-test {
        padding-top: 0;
    }

    /*añadido test*/
    .copy-promo__container {
        gap: 16px;
    }

    .promo-device-module__content {
        padding: 24px 20px;
        gap: 16px;
    }

    .section-promo-device-module .featured__container {
        margin-bottom: 24px;
    }

    .promo-device-module__info .copy-promo--title {
        font-size: 34px;
        /* width: 80%; */
    }

    #modulo-test .promo-device-module__info .copy-promo--title {
        width: 70%;
        font-size: 28px;
        line-height: 1.2;
    }

    .promo-device-module__info .copy-promo--big {
        font-size: 28px;
    }

    /*añadido test*/
    .copy-promo--small {
        font-size: 20px;
    }

    .button-tx-promo__text-item {
        font-size: 20px;
    }

    .promo-device-module__container {
        max-width: 1500px;
        margin: 0 auto;
    }

    .promo-device-module__container.module-full-width {
        max-width: 100%;
    }

    /* Módulo con contenedor de botones */

    .promo-device-module__container:has(.buttons-container) .promo-device-module__info .copy-promo--big.desktop--hidden {
        display: none;
    }

    .promo-device-module__container:has(.buttons-container) .promo-device-module__info .copy-promo--big.mobile--hidden {
        display: block;
    }

    .promo-device-module__container:has(.buttons-container) .promo-device-module__content {
        grid-template-columns: 1fr 1fr;
    }

    .promo-device-module__container .buttons-container {
        margin-bottom: auto;
        margin-top: 16px;
    }

    /* Módulo con contenedor de botones */

    .promo-device-module__container:has(.buttons-container) sup.price__decimals__currency {
        margin-top: 18px;
    }

    .promo-device-module__container:has(.buttons-container) sub.price__time {

        margin-bottom: 18px;
        margin-left: -24px;
    }

    #moduleBanner>.belt {
        width: 100%;
    }

}

@media screen and (min-width:1440px) {

    /* Módulo con contenedor de botones */

    .promo-device-module__container:has(.buttons-container) .promo-device-module__content {
        grid-template-columns: 1.3fr 1fr;
    }

    /* .promo-device-module__container .buttons-container {
        margin-bottom: 34px;
    }

    .promo-device-module__container:has(.buttons-container) .promo-device-module__info {
        margin-top: 34px;
    } */

    /* Módulo con contenedor de botones */
}

@media screen and (min-width:1600px) {

    /* Módulo con contenedor de botones */

    /* .promo-device-module__container .buttons-container {
        margin-bottom: 34px;
    }

    .promo-device-module__container:has(.buttons-container) .promo-device-module__info {
        margin-top: 34px;
    } */



    /* Módulo con contenedor de botones */

}